namespace asyncawait
{
    internal class Program
    {
        static async Task Main(string[] args)
        {
            using (HttpClient httpClient= new HttpClient())
            {
                string html  = await httpClient.GetStringAsync("http://taobao.com/robots.txt");
                Console.WriteLine(html);
            }
                
        }
    }
}